2020-09-14 1524次浏览

我们非常高兴地宣布 Yii Framework 2.0.38 版本发布了。请参阅 https://www.yiichina.com/download 上的说明以安装或升级到此版本。

此版本中有重大更改,此外还修复了一些错误:

  • PHP 8 的支持。
  • 最新的 MySQL 和 PostgreSQL 版本从 10 版本增加到我们的测试管道。
  • 具有循环依赖关系的夹具现在只加载一次,而不是引发异常。
  • 修复了 CVE-2020-15148:如果应用程序在包含特制字符串的用户输入上调用 unserialize() 的情况,将执行远程代码。 有关详细信息,请参阅安全公告
  • 在基础和高级应用程序模板中都添加了一些与 Vagrant 相关的增强功能。

感谢所有为该框架做出贡献的 Yii 社区成员,翻译人员保持最新文档翻译,以及在论坛上回答问题的社区成员。

Yii 有许多活跃的社区,因此,如果您需要帮助或想分享自己的经验,请随时加入。

更改的完整列表可以在更新日志中找到。